<template>
  <Transition
    name="fade-error"
    appear
  >
    <ul
      v-if="!!modelValue?.length"
      class="border-t-8 border-red-700 text-red-700 transition-all"
    >
      <li
        v-for="e in modelValue"
        :key="e.message"
      >
        {{ e.message }}
      </li>
    </ul>
  </Transition>
</template>

<script lang="ts" setup>
import { ValidateError } from 'async-validator';

defineProps<{
  modelValue: ValidateError[];
}>();
</script>
